%define	name	ntfs-3g
%define	version	2016.2.22
Summary:	Read-write ntfs driver
Name:		%{name}
Version:	%{version}
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Base
Source: 	http://tuxera.com/opensource/%{name}_ntfsprogs-%{version}.tgz
Source1:	10-ntfs-3g-policy.fdi
Patch0:		ntfs-3g_ntfsprogs-2011.10.9-RC-ntfsck-unsupported-return-0.patch
Patch1:		ntfs-3g_ntfsprogs-2016.2.22-CVE-2017-0358.patch

URL:		http://www.tuxera.com/community/open-source-ntfs-3g/
BuildRequires:	attr-devel
BuildRequires:  fuse-devel >= 2.8
BuildRequires:	%{_lib}gcrypt-devel
BuildRequires:	%{_lib}gnutls-devel
Requires:	ntfs-config
Requires:	fuse >= 2.8
Requires(pre):	fuse >= 2.8

Obsoletes:      %mklibname ntfs-3g 0
Obsoletes:      %mklibname ntfs-3g 2
Obsoletes:      %mklibname ntfs-3g 10
Obsoletes:      %mklibname ntfs-3g 14
Obsoletes:      %mklibname ntfs-3g 16
Obsoletes:      %mklibname ntfs-3g 23
Obsoletes:	%{_lib}ntfs10 < 2.0.0-11
Obsoletes:	ntfsprogs < 2.0.0-11
Provides:	ntfsprogs = %{version}-%{release}
Obsoletes:	ntfsprogs-gnomevfs < 2.0.0-11
Provides:	ntfsprogs-gnomevfs = %{version}-%{release}

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The ntfs-3g package contains NTFS filesystem driver with read and
write support. It provides safe and fast handling of MS Windows Vista,
XP, 2000 and Server 2003 NTFS file systems. Most POSIX file system
operations are supported.

%package	devel
Summary:	Header files and static libraries for ntfs-3g
Group:		Development/C
Requires:	%{name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d %name
Obsoletes:	%mklibname -d %name 0
Obsoletes:      %mklibname -d %name 2
Obsoletes:      %mklibname -d %name 4
Obsoletes:	%{_lib}ntfs-devel < 2.0.0-11

%description devel
You should install this package if you wish to develop applications that
use ntfs-3g.


%prep
%setup -qn %{name}_ntfsprogs-%{version}
%apply_patches

%build
export CFLAGS="%{optflags} -fPIC"
%configure2_5x \
	--disable-static \
	--exec-prefix=/ \
	--bindir=/bin \
	--libdir=/%{_lib} \
	--sbindir=/sbin \
	--disable-ldconfig \
	--enable-crypto \
	--enable-extras \
	-with-fuse=external
%make

%install
rm -rf %{buildroot}
sed -i -e 's|/sbin/ldconfig|true|' src/Makefile
%makeinstall_std

# make the symlink an actual copy to avoid confusion
rm -rf %buildroot/sbin/mount.ntfs-3g
cp -a %buildroot/bin/ntfs-3g %buildroot/sbin/mount.ntfs-3g
ln -sf /sbin/mount.ntfs-3g %buildroot/sbin/mount.ntfs
ln -sf /sbin/mount.ntfs-3g %buildroot/sbin/mount.ntfs-fuse
mkdir -p %buildroot/%_bindir
ln -sf /sbin/mount.ntfs-3g %buildroot/%_bindir/ntfsmount

# .pc file should always be there
mkdir -p %buildroot%_libdir
mv -f %buildroot/%_lib/pkgconfig %buildroot%_libdir/pkgconfig

# remove doc files, as we'll cp them later
rm -fr %buildroot/%_datadir/doc %buildroot/%{_lib}/*.la

mkdir -p %{buildroot}/%{_datadir}/hal/fdi/policy/10osvendor/
install -m 644 %SOURCE1 %{buildroot}/%{_datadir}/hal/fdi/policy/10osvendor/

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr (-,root,root)
%doc README AUTHORS CREDITS NEWS
%{_bindir}/ntfsmount
/bin/lowntfs-3g
/bin/ntfs-3g
/bin/ntfs-3g.*
/bin/ntfscat
/bin/ntfscluster
/bin/ntfscmp
/bin/ntfsfix
/bin/ntfsinfo
/bin/ntfsls
/bin/ntfsdecrypt
/bin/ntfsrecover
/bin/ntfstruncate
/bin/ntfswipe
/sbin/mkfs.ntfs
/sbin/mkntfs
/sbin/ntfsclone
/sbin/ntfscp
/sbin/ntfslabel
/sbin/ntfsresize
/sbin/ntfsundelete

%{_mandir}/man8/*
%attr(754,root,root) /sbin/mount.ntfs-3g
/sbin/mount.ntfs
/sbin/mount.lowntfs-3g
/sbin/mount.ntfs-fuse
%{_datadir}/hal/fdi/policy/10osvendor/10-ntfs-3g-policy.fdi
/%{_lib}/libntfs-3g.so.*

%files devel
%defattr(-,root,root)
%doc ChangeLog
/%{_lib}/libntfs-3g.so
%{_includedir}/ntfs-3g
%{_libdir}/pkgconfig/*.pc


%changelog
* Wed Jun 28 2017 adrianomorselli <adrianomorselli> 2016.2.22-2uplos2017
- updated against new libgcrypt
- obsolete ntfs-progs included in ntfs-3g
